<body>
    <form (ngSubmit)="SubmitData()">
        <div id="group">
            <div class="d-flex justify-content-center mt-5 rounded-5" style="border-radius: 40px;">
                <mat-card class="col-4" style="width: 30%;">
                    <mat-card-content class="" style="background-image:linear-gradient(to bottom,rgba(0, 0, 255, 0.81),white);">
                        <div class="d-flex justify-content-center mt-5">
                            <div class="form-group m-2 " style="width: 300px;">
                                <div ms-3>
                                    <label for="username" id="username"><b>UserName</b></label>
                                    <input  class="form-control" type="text" name="username"  [(ngModel)]="userRegisterationMode.username" required>
                                </div>
                                <div class="mt-2">
                                    <label for="password"><b>Password</b> </label>
                                    <input  class="form-control" type="password" name="password" [(ngModel)]="userRegisterationMode.password" required >
                                </div>
                                <div class="mt-2">
                                    <label for="projectName"><b>projectName</b> </label>
                                    <input class="form-control" type="text" name="projectName" [(ngModel)]="userRegisterationMode.projectname" required>
                                </div>
                                <div class="mt-2">
                                    <label for="Description"><b>Email</b> </label>
                                    <input  class="form-control" type="email" name="email" [(ngModel)]="userRegisterationMode.email" required>
                                </div>
                            </div>
                        </div>
                            <div class="d-flex justify-content-center">
                                <button type="submit" class="btn btn-primary rounded mt-3 ">save</button>
                            </div>
                    </mat-card-content>
                </mat-card>
            </div>
        </div>
    </form>
</body>